Skip to content
Get started

List Snapshots

GET/assets/{assetId}/snapshots

List snapshots of a canvas type asset

Path ParametersExpand Collapse
assetId: string
Query ParametersExpand Collapse
pageSize: optional number

The number of items to return in the response. The default value is 10, maximum value is 100, minimum value is 10

minimum10
maximum100
paginationToken: optional string

A token you received in a previous request to query the next page of items

ReturnsExpand Collapse
snapshots: array of object { authorId, hash, rawData, takenAt }
authorId: string
hash: string
rawData: string
takenAt: number
nextPaginationToken: optional string

A token to query the next page of snapshots

List Snapshots

curl https://api.cloud.scenario.com/v1/assets/$ASSET_ID/snapshots \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"
{
  "snapshots": [
    {
      "authorId": "authorId",
      "hash": "hash",
      "rawData": "rawData",
      "takenAt": 0
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}
Returns Examples
{
  "snapshots": [
    {
      "authorId": "authorId",
      "hash": "hash",
      "rawData": "rawData",
      "takenAt": 0
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}